Package: org.codehaus.groovy.util

## [Java] Class ManagedConcurrentMap.EntryWithValue<K, V>

- org.codehaus.groovy.util.ManagedConcurrentMap.EntryWithValue

-     public static class ManagedConcurrentMap.EntryWithValue<K, V>
      extends Map.Entry

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EntryWithValue(ReferenceBundle bundle, Segment segment, K key, int hash, V value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `finalizeReference()`
    `` | `public V` | `getValue()`
    `` | `public void` | `setValue(V value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Map.Entry` | `equals, hashCode, copyOf, getValue, getKey, setValue, comparingByKey, comparingByKey, comparingByValue, comparingByValue`

- - ### Constructor Detail

    - #### public EntryWithValue(ReferenceBundle bundle, Segment segment, K key, int hash, V value)

  - ### Method Detail

    - #### @Override
      public void finalizeReference()

    - #### @Override
      public V getValue()

    - #### @Override
      public void setValue(V value)